Bug 460784 - cannot boot with newer kernels
cannot boot with newer kernels
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-31 17:12 EDT by Mladen Kuntner
Modified: 2008-09-10 18:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 18:25:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv (9.75 KB, text/plain)
2008-08-31 17:12 EDT, Mladen Kuntner
no flags Details
diff betwen good and bad config (1.39 KB, text/plain)
2008-09-07 15:41 EDT, Mladen Kuntner
no flags Details

  None (edit)
Description Mladen Kuntner 2008-08-31 17:12:32 EDT
Created attachment 315451 [details]
lspci -vv

Description of problem:

have an sempron machine that works with Fedora Core 3
kernel:
2.6.12-1.1381_FC3 #1 Fri Oct 21 03:46:55 EDT 2005 i686 athlon i386

Trying to boot any recent version Fedora, Ubuntu - live cd or install DVD
hangs after:
CPU0: AMD Sempron(tm) 2800+ stepping 00

Tried many kernel boot parameters noacpi, hpet=disable, nohz=off ..
nothings help


How reproducible:

always

Steps to Reproduce:
1.boot from live cd
2.hang
3.
  
Any ideas?
Comment 1 Mladen Kuntner 2008-09-07 15:41:03 EDT
Created attachment 315973 [details]
diff betwen good and bad config

For situation like this i have a disk with LFS and after many
compiled kernels and different configs i came to the conclusion
that with kernel 2.6.22.19 difference between working and
non working kernel is few settings in .config file.

diff is attached

I will try to reduce the diff but it takes much time.
Any boot kernel parameters to try ?
Comment 2 Mladen Kuntner 2008-09-10 18:24:35 EDT
I found out that machine boots with:

nohz=off highres=off nosmp

Installed Fedora 9 and for now everything is working ok.

I must also return the machine to owner so i will close the bug.

Note You need to log in before you can comment on or make changes to this bug.